/*
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 * $Id: ContentsAttribute.java,v 1.2 2006/01/31 17:10:01 rampil Exp $
 */
package org.logical_paradox.koike.rss.document;

import java.io.Serializable;

/**
 * RSS/1b用のコンテンツ属性
 * RSS/1bのコンテンツ管理システムからの回答情報が格納されている
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.2 $
 */
public class ContentsAttribute implements Serializable {
	/** シリアルバージョンUID */
	private static final long serialVersionUID = -4895086291681049109L;
	/** サイト名 */
	private String sitename;
	/** ドキュメントタイトル */
	private String title;
	/** ドキュメントのURL */
	private String url;

	/**
	 * サイト名を返す
	 * @return サイト名
	 */
	public String getSitename() {
		return sitename;
	}

	/**
	 * 文書タイトルを返す
	 * @return 文書タイトル
	 */
	public String getTitle() {
		return title;
	}

	/**
	 * サイト名を設定する
	 * @param string サイト名
	 */
	public void setSitename(String string) {
		sitename = string;
	}

	/**
	 * 文書タイトルを設定する
	 * @param string 文書タイトル
	 */
	public void setTitle(String string) {
		title = string;
	}

	/**
	 * URLを返す
	 * @return URL
	 */
	public String getUrl() {
		return url;
	}

	/**
	 * URLを設定する
	 * @param string URL
	 */
	public void setUrl(String string) {
		url = string;
	}

}
